package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TeamDTO implements Serializable {

    private static final long serialVersionUID = 830186969637948801L;

    private Long total;

    private BigDecimal totalAmount;

    private List<TeamDetailsDTO> records;
}
